Bug 198088 - [PATCH] graphics/djview4: Update to 4.10.3
Summary: [PATCH] graphics/djview4: Update to 4.10.3
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Ruslan Makhmatkhanov
URL:
Keywords:
Depends on: 196409
Blocks:
  Show dependency treegraph
 
Reported: 2015-02-28 03:10 UTC by lightside
Modified: 2015-11-06 17:27 UTC (History)
1 user (show)

See Also:


Attachments
Proposed patch (since 370129 revision) (8.15 KB, patch)
2015-02-28 03:10 UTC, lightside
no flags Details | Diff
The poudriere testport log (FreeBSD 10 amd64) (10.06 KB, application/x-bzip2)
2015-02-28 03:12 UTC, lightside
no flags Details
The poudriere testport log (FreeBSD 10 amd64, with QT4 option enabled) (10.17 KB, application/x-bzip2)
2015-02-28 03:13 UTC, lightside
no flags Details
The graphics/djview4-qt4 port in shar format (733 bytes, text/plain)
2015-02-28 03:14 UTC, lightside
no flags Details
The new poudriere testport log (FreeBSD 10 amd64): graphics/djview4-qt4 (10.11 KB, application/x-bzip2)
2015-02-28 03:15 UTC, lightside
no flags Details
Proposed patch (after bug 196409) (8.28 KB, patch)
2015-02-28 03:17 UTC, lightside
no flags Details | Diff
Proposed patch (since 370129 revision) (8.15 KB, patch)
2015-02-28 03:57 UTC, lightside
no flags Details | Diff
Proposed patch (after bug 196409) (8.28 KB, patch)
2015-02-28 03:58 UTC, lightside
no flags Details | Diff
Proposed patch (since 380305 revision) (8.14 KB, patch)
2015-03-03 08:20 UTC, lightside
no flags Details | Diff
Proposed patch (after bug 196409) (8.27 KB, patch)
2015-03-03 08:21 UTC, lightside
no flags Details | Diff
Proposed patch (since 398102 revision) (6.62 KB, patch)
2015-09-28 10:57 UTC, lightside
no flags Details | Diff
The poudriere testport log (FreeBSD 10.2 amd64) (10.28 KB, application/x-bzip2)
2015-09-28 10:58 UTC, lightside
no flags Details
The poudriere testport log (FreeBSD 10.2 amd64, with QT4 option enabled) (10.43 KB, application/x-bzip2)
2015-09-28 10:59 UTC, lightside
no flags Details
The poudriere testport log (FreeBSD 10.2 amd64): graphics/djview4-qt4 (10.40 KB, application/x-bzip2)
2015-09-28 10:59 UTC, lightside
no flags Details
The poudriere testport log (FreeBSD 10.2 amd64) with djvulibre-3.5.27 (10.30 KB, application/x-bzip2)
2015-09-28 11:00 UTC, lightside
no flags Details
The poudriere testport log (FreeBSD 10.2 amd64, with QT4 option enabled) with djvulibre-3.5.27 (10.44 KB, application/x-bzip2)
2015-09-28 11:01 UTC, lightside
no flags Details
The poudriere testport log (FreeBSD 10.2 amd64): graphics/djview4-qt4 with djvulibre-3.5.27 (10.43 KB, application/x-bzip2)
2015-09-28 11:02 UTC, lightside
no flags Details
Proposed patch (since 398102 revision) (6.51 KB, patch)
2015-09-28 13:35 UTC, lightside
no flags Details | Diff
The poudriere testport log (FreeBSD 10.2 amd64) (10.22 KB, application/x-bzip2)
2015-09-28 13:37 UTC, lightside
no flags Details
Proposed patch (since 398102 revision) (6.74 KB, patch)
2015-09-28 14:01 UTC, lightside
no flags Details | Diff
The poudriere testport log (FreeBSD 10.2 amd64) (10.19 KB, application/x-bzip2)
2015-09-28 14:01 UTC, lightside
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description lightside 2015-02-28 03:10:54 UTC
Created attachment 153599 [details]
Proposed patch (since 370129 revision)

Patch to update graphics/djview4 port from 4.9 to 4.10 version.

Look following link for changes:
http://sourceforge.net/p/djvu/djview-git/ci/3d46e3/tree/NEWS?diff=78575a

- Remove Qt version from COMMENT and pkg-descr file
- Add LICENSE_FILE
- Add build dependency from graphics/librsvg2 for icon generation
- Add libtiff.so to LIB_DEPENDS as required shared library
- Use install-strip for INSTALL_TARGET to strip files
- Add "autoreconf", "desktop-file-utils" and "gmake" to USES
- Remove QT_NONSTANDARD to use QT configure environment variables
- Add additional QT variables to CONFIGURE_ENV
- Allow to build with using Qt4 or Qt5 toolkit library through QT4 or QT5 port's options
- Adapt (sed) patches for new version
- Adapt pkg-plist file
- Add upstream patch to simplify "lrelease rule" [1]

Reference links:
1: http://sourceforge.net/p/djvu/djview-git/ci/e664af/tree/src/Makefile.am?diff=975258
Comment 1 lightside 2015-02-28 03:12:58 UTC
Created attachment 153600 [details]
The poudriere testport log (FreeBSD 10 amd64)
Comment 2 lightside 2015-02-28 03:13:27 UTC
Created attachment 153601 [details]
The poudriere testport log (FreeBSD 10 amd64, with QT4 option enabled)
Comment 3 lightside 2015-02-28 03:14:33 UTC
Created attachment 153602 [details]
The graphics/djview4-qt4 port in shar format

Also I created graphics/djview4-qt4 port, which uses QT4 option.
Comment 4 lightside 2015-02-28 03:15:38 UTC
Created attachment 153603 [details]
The new poudriere testport log (FreeBSD 10 amd64): graphics/djview4-qt4
Comment 5 lightside 2015-02-28 03:17:23 UTC
Created attachment 153604 [details]
Proposed patch (after bug 196409)

Also, there is a patch to apply, in case of bugs 196409 resolve, which improves 4.9 version.
While the 4.10 version installs translation files, it couldn't use them for some reason. The 4.9 version (with improvements) is ok, for this case.
Comment 6 lightside 2015-02-28 03:21:17 UTC
(In reply to comment #5)
> in case of bugs 196409 resolve
in case of bug 196409 resolve
Comment 7 lightside 2015-02-28 03:57:54 UTC
Created attachment 153605 [details]
Proposed patch (since 370129 revision)

Restore indentation near USES.
Comment 8 lightside 2015-02-28 03:58:18 UTC
Created attachment 153606 [details]
Proposed patch (after bug 196409)
Comment 9 lightside 2015-03-03 08:20:56 UTC
Created attachment 153703 [details]
Proposed patch (since 380305 revision)

Patch updated after ports r380305 changes.
Comment 10 lightside 2015-03-03 08:21:47 UTC
Created attachment 153704 [details]
Proposed patch (after bug 196409)
Comment 11 lightside 2015-09-28 10:57:39 UTC
Created attachment 161476 [details]
Proposed patch (since 398102 revision)

Updated to 4.10.3 version.

> - Add LICENSE_FILE
> - Add libtiff.so to LIB_DEPENDS as required shared library
was added in ports r398050

> - Add upstream patch to simplify "lrelease rule" [1]
The patch was included in 4.10.3 version, therefore was removed from the proposed patch.
Comment 12 lightside 2015-09-28 10:58:45 UTC
Created attachment 161477 [details]
The poudriere testport log (FreeBSD 10.2 amd64)
Comment 13 lightside 2015-09-28 10:59:18 UTC
Created attachment 161478 [details]
The poudriere testport log (FreeBSD 10.2 amd64, with QT4 option enabled)
Comment 14 lightside 2015-09-28 10:59:49 UTC
Created attachment 161479 [details]
The poudriere testport log (FreeBSD 10.2 amd64): graphics/djview4-qt4
Comment 15 lightside 2015-09-28 11:00:48 UTC
Created attachment 161480 [details]
The poudriere testport log (FreeBSD 10.2 amd64) with djvulibre-3.5.27

with updated djvulibre-3.5.27 from bug 198087
Comment 16 lightside 2015-09-28 11:01:26 UTC
Created attachment 161481 [details]
The poudriere testport log (FreeBSD 10.2 amd64, with QT4 option enabled) with djvulibre-3.5.27

with updated djvulibre-3.5.27 from bug 198087
Comment 17 lightside 2015-09-28 11:02:04 UTC
Created attachment 161482 [details]
The poudriere testport log (FreeBSD 10.2 amd64): graphics/djview4-qt4 with djvulibre-3.5.27

with updated djvulibre-3.5.27 from bug 198087
Comment 18 lightside 2015-09-28 13:35:40 UTC
Created attachment 161490 [details]
Proposed patch (since 398102 revision)

I changed the patch and removed following part of it:
# Allow to strip binary
	${REINPLACE_CMD} -e '/^bin_/s/SCRIPTS/PROGRAMS/' \
		${WRKSRC}/src/Makefile.am

This is because, for some reason (may be because of usage of nsdejavu.so as a browser's plugin), the developer considers to install djview application as a script instead of program, e.g. ${WRKSRC}/src/Makefile.am:
-8<--
# program djview
# - can we do better than pretending djview is a script?

bin_SCRIPTS = djview
-->8-

The difference is 100555 instead of 100755 for djview file permissions, as for current 4.9 version. But in this case it doesn't allow to strip the ${STAGEDIR}/${PREFIX}/bin/djview file:
Warning: 'bin/djview' is not stripped consider trying INSTALL_TARGET=install-strip or using ${STRIP_CMD}
even if install-strip used, because of 100555 read file permissions only.
Comment 19 lightside 2015-09-28 13:37:30 UTC
Created attachment 161491 [details]
The poudriere testport log (FreeBSD 10.2 amd64)

Other poudriere testport logs are the same, except of following line added:
Warning: 'bin/djview' is not stripped consider trying INSTALL_TARGET=install-strip or using ${STRIP_CMD}
Comment 20 lightside 2015-09-28 14:01:19 UTC
Created attachment 161492 [details]
Proposed patch (since 398102 revision)

Manually change write permissions to strip a ${STAGEDIR}/${PREFIX}/bin/djview file.
Comment 21 lightside 2015-09-28 14:01:59 UTC
Created attachment 161493 [details]
The poudriere testport log (FreeBSD 10.2 amd64)
Comment 22 commit-hook freebsd_committer 2015-11-06 17:11:56 UTC
A commit references this bug:

Author: rm
Date: Fri Nov  6 17:11:34 UTC 2015
New revision: 400947
URL: https://svnweb.freebsd.org/changeset/ports/400947

Log:
  graphics/djview4: update to 4.10.3

  - Remove Qt version from COMMENT and pkg-descr file
  - Add LICENSE_FILE
  - Add build dependency from graphics/librsvg2 for icon generation
  - Add libtiff.so to LIB_DEPENDS as required shared library
  - Use install-strip for INSTALL_TARGET to strip files
  - Add "autoreconf", "desktop-file-utils" and "gmake" to USES
  - Remove QT_NONSTANDARD to use QT configure environment variables
  - Add additional QT variables to CONFIGURE_ENV
  - Allow to build with using Qt4 or Qt5 toolkit library through QT4 or QT5 port's options
  - Adapt (sed) patches for new version
  - Adapt pkg-plist file
  - Add upstream patch to simplify "lrelease rule" [1]

  [1] http://sourceforge.net/p/djvu/djview-git/ci/e664af/tree/src/Makefile.am?diff=975258

  PR:		198088
  Submitted by:	lightside <lightside@gmx.com>

Changes:
  head/graphics/djview4/Makefile
  head/graphics/djview4/distinfo
  head/graphics/djview4/files/
  head/graphics/djview4/pkg-descr
  head/graphics/djview4/pkg-plist
Comment 23 commit-hook freebsd_committer 2015-11-06 17:24:58 UTC
A commit references this bug:

Author: rm
Date: Fri Nov  6 17:24:36 UTC 2015
New revision: 400948
URL: https://svnweb.freebsd.org/changeset/ports/400948

Log:
  Add slave port for djview4 with QT4 interface

  PR:		198088
  Submitted by:	lightside <lightside@gmx.com>

Changes:
  head/graphics/Makefile
  head/graphics/djview4-qt4/
  head/graphics/djview4-qt4/Makefile
Comment 24 Ruslan Makhmatkhanov freebsd_committer 2015-11-06 17:27:11 UTC
Update committed, with new slave port added. Thank you much!